import React from 'react';
export interface SelectItem {
    value: string | number;
    title: React.ReactNode;
    hint?: string;
    key?: string;
    meta?: string;
    icon?: React.ReactNode;
    disabled?: boolean;
    modifier?: string;
    url?: string;
}
export interface SelectControlProps {
    disabled?: boolean;
    value: Array<string | number> | undefined;
    items: Array<SelectItem>;
    onChange: (value: SelectControlProps['value']) => void;
    onFocus?: () => void;
    onBlur?: () => void;
    showSearch?: boolean;
    singleValueMode?: boolean;
}
declare function SelectControl(props: SelectControlProps): JSX.Element;
declare namespace SelectControl {
    var getDefaultValue: () => undefined;
    var isEmpty: (value: (string | number)[] | undefined) => boolean;
}
export default SelectControl;
